function alldemos(varargin)
  p = inputParser;
  p.KeepUnmatched=true; 
  p.addParamValue('savedir',['.',filesep,'tmp'],@ischar);
  p.addParamValue('save',false,@islogical);
  p.addParamValue('pause',2,@isscalar);
  p.addParamValue('distribute',true,@islogical);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  
  if ~exist(R.savedir) & R.save
    [success,message,messageid]=mkdir(R.savedir);
    if ~success,error(message);end
  end

  for demo={'demo01','demo02','demo03','demo04','demo05','demo06'}
    close all
    eval(['fc_hypermesh.',demo{1}])
    if R.distribute
      fc_tools.graphics.DisplayFigures();
      pause(R.pause)
    end
    if R.save
      SaveOptions={'format','png', 'dir',R.savedir,'tag',true,'verbose',true};
      fc_tools.graphics.SaveAllFigsAsFiles(demo{1}, SaveOptions{:})
    end    
  end
  
end